# Conditional build:
%bcond_without  tests   # unit tests
#
%define		module	mistletoe
Summary:	A wrapper around 'deprecation' providing support for deprecated aliases
Name:		python3-%{module}
Version:	1.4.0
Release:	1
License:	BSD
Group:		Libraries/Python
Source0:	https://pypi.debian.net/mistletoe/mistletoe-%{version}.tar.gz
# Source0-md5:	cccc7c5a07268b5f976b901420cb726d
URL:		https://pypi.org/project/deprecation-alias/
BuildRequires:	python3-modules >= 1:3.2
#BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with tests}
BuildRequires:	python3-parameterized
%endif
Requires:	python3-modules >= 1:3.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A wrapper around ‘deprecation' providing support for deprecated
aliases.

%prep
%setup -q -n mistletoe-%{version}

%build
%py3_build
# deprecated target, but sometimes still used: %{?with_tests:test}

%if %{with tests}
# use explicit plugins list for reliable builds (delete PYTEST_PLUGINS if empty)
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
%{__python3} -m pytest test
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/%{module}
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%changelog
* Sat Apr 19 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-mistletoe.git;a=log;h=master

* Fri Feb 07 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 7752ea9
- Initial.

